org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetCounts

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.IntTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.TaxonomyFacetCounts

-     public class TaxonomyFacetCounts
      extends IntTaxonomyFacets

  Reads from any `OrdinalsReader`; use `FastTaxonomyFacetCounts` if you are using the default encoding from `BinaryDocValues`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `config, indexFieldName, parents, taxoReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyFacetCounts(OrdinalsReader ordinalsReader, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` Create `TaxonomyFacetCounts`, which also counts all facet labels.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.IntTaxonomyFacets

      `getSpecificValue, getTopChildren, getValue, increment, increment, rollup, useHashTable`

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `childrenLoaded, getAllDims, getChildren, getSiblings, siblingsLoaded, verifyDim`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyFacetCounts

          public TaxonomyFacetCounts(OrdinalsReader ordinalsReader,
                                     TaxonomyReader taxoReader,
                                     FacetsConfig config,
                                     FacetsCollector fc)
                              throws IOException

      Create `TaxonomyFacetCounts`, which also counts all facet labels. Use this for a non-default `OrdinalsReader`; otherwise use `FastTaxonomyFacetCounts`.
      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.